import java.io.*;

public class SLOG_Statistics
{
    int   Nbin;
    long  event_bins[];

    public SLOG_Statistics()
    {
        Nbin = 0;
        event_bins = null;
    }

    public SLOG_Statistics( int in_Nbin )
    {
        Nbin       = in_Nbin;
        event_bins = new long[ Nbin ];
    }

    public SLOG_Statistics( RandomAccessFile file_stm )
    throws IOException
    {
        Nbin       = file_stm.readInt();
        event_bins = new long[ Nbin ];
        this.ReadFromRandomFile( file_stm );
    }

    public SLOG_Statistics( RandomAccessFile file_stm, long fileloc )
    throws IOException
    {
        file_stm.seek( fileloc );

        Nbin       = file_stm.readInt();
        event_bins = new long[ Nbin ];
        this.ReadFromRandomFile( file_stm );
    }

    public void ReadFromRandomFile( RandomAccessFile file_stm )
    throws IOException
    {
        byte buffer[] = new byte[ 8 * Nbin ];
        file_stm.readFully( buffer );

        ByteArrayInputStream ary_stream = new ByteArrayInputStream( buffer );
        DataInputStream data_istm = new DataInputStream( ary_stream );

        for ( int ii = 0; ii < Nbin; ii++ )
            event_bins[ ii ] = data_istm.readLong();
    }

    public String toString()
    {
        final int count_per_line = 5;

        StringBuffer rep = new StringBuffer( "SLOG_PreviewStatistics :\n" );
        for ( int ii = 0; ii < Nbin; ii++ ) {
            rep.append( event_bins[ ii ] + ", " ); 
            if ( ii % count_per_line == count_per_line - 1 )
                rep.append( "\n" );
        }
        return rep.toString();
    }
}
